Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
indexes
Create Index
curl --request POST \
  --url https://api.example.com/v1/projects/{project_id}/indexes \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-selected-account-id: <api-key>' \
  --data '
{
  "name": "<string>",
  "engine_type": "file_system",
  "model": "openai/gpt-4o-mini",
  "file_summarization_prompt": "<string>",
  "folder_summarization_prompt": "<string>"
}
'
{
  "id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "pending",
  "config": {},
  "nodes": [
    {
      "id": "<string>",
      "text": "<string>",
      "level": 123,
      "parent_id": "<string>",
      "metadata": {},
      "children_ids": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Body

application/json

Create request for the file-system index engine.

name
string
required

Display name of the index

engine_type
string
default:file_system
Allowed value: "file_system"
model
string
default:openai/gpt-4o-mini

Model to use for summarization

file_summarization_prompt
string | null

Custom instructions for file summarization

folder_summarization_prompt
string | null

Custom instructions for folder summarization

Response

Successful Response

Full index entity with nodes and config (returned by get by ID).

id
string
required

ID of the entity

project_id
string
required

ID of the project

name
string
required

Display name of the index

engine_type
enum<string>
required

Type of index engine

Available options:
file_system
created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

status
enum<string>
default:pending

Index status

Available options:
pending,
ready,
updating,
failed
config
Config · object

Engine-specific config

nodes
Node · object[]

Index tree nodes